body.cke_editable {
  padding: 0;
  padding-bottom: 16px;
  font-family: -apple-system, 'SF UI Text', Arial, 'PingFang SC', 'Hiragino Sans GB', 'Microsoft YaHei', 'WenQuanYi Micro Hei', sans-serif, SimHei, SimSun;
}

/* 文章字体 */

.cke_editable {
  padding: 0;
  margin: 20px;
  font-family: -apple-system, SF UI Text, Arial, PingFang SC, Hiragino Sans GB,
    Microsoft YaHei, WenQuanYi Micro Hei, sans-serif, SimHei, SimSun;
}

/*contents.css*/
.cke_editable {
  position: relative;
  word-wrap: break-word;
}

.cke_editable img.right {
  border: 1px solid #ccc;
  float: right;
  margin-left: 15px;
  padding: 5px;
}

.cke_editable img.left {
  border: 1px solid #ccc;
  float: left;
  margin-right: 15px;
  padding: 5px;
}

.cke_editable .marker {
  background-color: Yellow;
}

.cke_editable span[lang] {
  font-style: italic;
}

.cke_editable figure {
  text-align: center;
  margin: 0 24px;
  display: inline-block;
}

.cke_editable figure>figcaption {
  text-align: center;
  margin: 8px;
  color: #999;
  font-size: 14px;
  display: block;
  /* For IE8 */
}

.cke_editable a>img {
  padding: 1px;
  margin: 1px;
  border: none;
  outline: 1px solid #0782c1;
}

/* Widget Styles */
.cke_editable .code-featured {
  border: 5px solid red;
}

.cke_editable .math-featured {
  padding: 20px;
  box-shadow: 0 0 2px rgba(200, 0, 0, 1);
  background-color: rgba(255, 0, 0, 0.05);
  margin: 10px;
}

.cke_editable .image-clean {
  border: 0;
  background: none;
  padding: 0;
}

.cke_editable .image-clean>figcaption {
  font-size: 0.9em;
  text-align: right;
}

.cke_editable .image-grayscale {
  background-color: white;
  color: #666;
}

.cke_editable .image-grayscale img,
.cke_editable img.image-grayscale {
  filter: grayscale(100%);
}

.cke_editable .embed-240p {
  max-width: 426px;
  max-height: 240px;
  margin: 0 auto;
}

.cke_editable .embed-360p {
  max-width: 640px;
  max-height: 360px;
  margin: 0 auto;
}

.cke_editable .embed-480p {
  max-width: 854px;
  max-height: 480px;
  margin: 0 auto;
}

.cke_editable .embed-720p {
  max-width: 1280px;
  max-height: 720px;
  margin: 0 auto;
}

.cke_editable .embed-1080p {
  max-width: 1920px;
  max-height: 1080px;
  margin: 0 auto;
}

/* 文章正文 */
.cke_editable p {
  font-size: 16px;
  color: #4d4d4d;
  font-weight: normal;
  line-height: 26px;
  margin: 0 0 16px 0;
}

p[align='center'] {
  text-align: center;
}

/* 地址斜体 */
.cke_editable i,
.cke_editable cite,
.cke_editable em,
.cke_editable var,
.cke_editable address,
.cke_editable dfn {
  font-style: italic;
}


/* 正文加粗 */
.cke_editable strong {
  font-weight: bold;
}

.cke_editable strong span {
  font-weight: bold;
}

.cke_editable * {
  box-sizing: border-box;
}

.cke_editable h1,
.cke_editable h2,
.cke_editable h3,
.cke_editable h4,
.cke_editable h5,
.cke_editable h6 {
  color: #4f4f4f;
  margin: 8px 0 16px 0;
  font-weight: bold;
}

.cke_editable h1 span,
.cke_editable h2 span,
.cke_editable h3 span,
.cke_editable h4 span,
.cke_editable h5 span,
.cke_editable h6 span {
  font-weight: bold;
}

/*有序、无序列表*/
.cke_editable ul,
.cke_editable ol {
  margin: 0 0 24px 0;
  padding: 0;
  font-size: 16px;
}

.cke_editable ul ol {
  margin: 0 0 24px 32px;
}

.cke_editable ul li {
  list-style-type: disc;
  margin: 8px 0 0 32px;
}

.cke_editable ol li {
  list-style-type: decimal;
  margin-left: 40px;
  margin-top: 8px;
}

/* 图片 */
.cke_editable img {
  max-width: 100%;
}

/* 标题 */

.cke_editable h1 {
  font-size: 24px;
  line-height: 32px;
}

.cke_editable h2 {
  font-size: 22px;
  line-height: 30px;
}

.cke_editable h3 {
  font-size: 18px;
  line-height: 26px;
}

.cke_editable h4 {
  font-size: 20px;
  line-height: 28px;
}

.cke_editable h5 {
  font-size: 16px;
  line-height: 24px;
}

.cke_editable h6 {
  font-size: 16px;
  line-height: 24px;
}

/* 引用 */
.cke_editable blockquote {
  display: block;
  padding: 16px 16px 0 16px;
  margin: 0 0 24px 0;
  border-left: 8px solid #dddfe4;
  background: #eef0f4;
  overflow: auto;
  overflow-scrolling: touch;
  word-wrap: normal;
  word-break: normal;
}

.cke_editable blockquote ul,
.cke_editable blockquote ol {
  margin-bottom: 16px;
  padding: 0;
  font-size: 16px;
  line-height: 24px;
}

.cke_editable blockquote ul li {
  margin-bottom: 0;
}

.cke_editable blockquote ol li {
  margin-bottom: 0;
}

/* 引用 - 文字*/
.cke_editable blockquote p {
  font-size: 16px;
  line-height: 26px;
  font-weight: normal;
  margin-bottom: 16px;
  color: #4f4f4f;
}

/* 分割线 */
.cke_editable hr {
  margin: 24px 0;
  border: none;
  border-bottom: solid #ccc 1px;
}

/*表格*/
.cke_editable tbody {
  border: 0;
}

.cke_editable table tr {
  border: 0;
  border-top: 1px solid #ddd;
  background-color: white;
}

.cke_editable table {
  border-collapse: collapse;
  display: table;
  width: 100%;
  text-align: left;
  margin-bottom: 24px;
  margin-left: auto;
  margin-right: auto;
}

.cke_editable tbody {
  border: 0;
}

.cke_editable table tr:nth-child(2n) {
  background-color: #f7f7f7;
}

.cke_editable table tr th,
.cke_editable table tr td {
  border: 1px solid #ddd;
  font-size: 14px;
  color: #4f4f4f;
  line-height: 22px;
  padding: 8px;
  text-align: left;
}

.cke_editable table tr th p {
  font-size: 14px;
  color: #4f4f4f;
  line-height: 22px;
  margin: 0;
  padding: 0;
  text-align: left;
  font-weight: bold;
}

.cke_editable table tr td p {
  font-size: 14px;
  color: #4f4f4f;
  line-height: 22px;
  margin: 0;
  padding: 0;
  text-align: left;
}

.cke_editable table tr th code,
.cke_editable table tr td code {
  white-space: normal;
  word-break: break-word;
}

.cke_editable table tr th {
  font-weight: bold;
  background-color: #eff3f5;
}

/*目录列表*/
.cke_editable dl {
  margin: 24px;
}

.cke_editable dl dt {
  margin: 8px;
  font-weight: bold;
}

.cke_editable dl dt dd {
  margin: 8px;
}

/*.cke_editable dd p{
    margin: 8px;
}*/

/*abbr*/
.cke_editable abbr[title],
.cke_editable abbr[data-original-title] {
  cursor: help;
  border-bottom: 1px dotted #999;
}

/*首字母缩略词*/
.cke_editable .initialism {
  font-size: 90%;
  text-transform: uppercase;
}

/*首字母缩略词*/
.cke_editable pre {
  white-space: pre-wrap;
  word-wrap: break-word;
  margin: 0 0 24px 0;
  /* background-color: #f0f0f0; */
  overflow-x: auto;
  padding: 8px;
}

.marker {
  background-color: Yellow;
}

/*数学公式*/
.cke_editable img.mathcode {
  margin: 0 8px;
}

/*代码块字体*/
/* .cke_editable code, */
.cke_editable kbd,
.cke_editable pre,
.cke_editable samp {
  font-family: Consolas, Inconsolata, Courier, monospace;
  font-size: 14px;
  line-height: 22px;
  color: #000;
}

.cke_editable code {
  /* color: #c7254e; */
  /* background-color: #f9f2f4; */
  border-radius: 4px;
}

/*超链接*/

.cke_editable a {
  color: #4ea1db;
  text-decoration: none;
}

.cke_editable a:hover,
.cke_editable a:focus {
  color: #fc5531;
  /*text-decoration: underline;*/
}

.cke_editable a:visited {
  color: #6795b5;
}

.cke_editable .hot-keyword:visited {
  color: #3399ea;
}

/*脚注*/
.cke_editable .footnote {
  vertical-align: top;
  position: relative;
  top: -4px;
  font-size: 12px;
}

/* UML */

.cke_editable .sequence-diagram,
.cke_editable .flow-chart {
  text-align: center;
  margin-bottom: 24px;
}

.cke_editable .sequence-diagram,
.cke_editable .flow-chart {
  text-align: center;
  margin-bottom: 24px;
  font-size: 14px !important;
}

.cke_editable .sequence-diagram [fill='#000'],
.cke_editable .flow-chart [fill='#000'],
.cke_editable .sequence-diagram [fill='#000000'],
.cke_editable .flow-chart [fill='#000000'],
.cke_editable .sequence-diagram [fill='black'],
.cke_editable .flow-chart [fill='black'] {
  fill: #4f4f4f;
}

.cke_editable .sequence-diagram [stroke='#000000'],
.cke_editable .flow-chart [stroke='#000000'] {
  stroke: #4f4f4f;
}

/* 数学公式 */

.cke_editable .MathJax_SVG_Display {
  text-align: center;
  margin: 24px 0;
  font-size: 18px;
  font-weight: 400;
  color: #4f4f4f;
  position: relative;
  text-indent: 0;
  max-width: none;
  max-height: none;
  min-width: 0;
  min-height: 0;
  width: 100%;
}

/* code&pre  */
.cke_editable pre code {
  display: block;
  line-height: 22px;
  overflow-x: auto;
  padding: 0;
  /* color: #000000; */
  white-space: pre;
  word-wrap: normal;
  /* background-color: #f6f8fa; */
  border-radius: 4px;
  padding: 8px;
  tab-size: 4;
}

.cke_editable pre code:not(.hljs) {
  background-color: #f3f4f5;
}

.cke_editable pre code,
.cke_editable pre code div,
.cke_editable pre code span {
  font-size: 14px;
  font-family: 'Source Code Pro', 'DejaVu Sans Mono', 'Ubuntu Mono',
    'Anonymous Pro', 'Droid Sans Mono', Menlo, Monaco, Consolas, Inconsolata,
    Courier, monospace, 'PingFang SC', 'Microsoft YaHei', sans-serif;
}

.cke_editable pre.prettyprint,
.cke_editable .prettyprint {
  margin: 0 0 24px 0;
  padding: 8px 16px 4px 56px;
  background-color: #f6f8fa;
  border: none;
}

.cke_editable .prettyprint .pre-numbering {
  position: absolute;
  width: 48px;
  background-color: #eef0f4;
  top: 0;
  left: 0;
  margin: 0;
  padding: 8px 0 8px;
  list-style: none;
  text-align: right;
}

.cke_editable .pre-numbering li {
  padding: 0 8px;
  list-style: none;
  margin: 0;
}

.cke_editable dl dd {
  margin: 0 0 8px 40px;
}

/*kbd*/
.cke_editable kbd {
  padding: 2px 8px;
  border: 1px solid rgba(63, 63, 63, 0.25);
  box-shadow: 0 1px 0 rgba(63, 63, 63, 0.25);
  background-color: #fff;
  color: #333;
  border-radius: 4px;
  display: inline-block;
  margin: 0 2px;
  white-space: nowrap;
}

/*高亮代码调整字符*/
.cke_editable .dp-highlighter {
  font-size: 12px;
  text-align: left;
  margin: 0 0 24px 0;
}

/* 行号 */
.cke_editable code.hljs {}

.cke_editable code ol {
  margin: 0;
  overflow: hidden;
}

.cke_editable code ol li {
  list-style-type: none;
  margin-left: 0;
  margin-top: 0;
  height: 22px;
}

.cke_editable code ol li div.hljs-ln-code {
  margin-left: 8px;
}

.cke_editable code ol li div.hljs-ln-numbers,
.cke_editable code ol li div.hljs-ln-code {
  float: left;
  height: 22px;
  font-family: 'Source Code Pro', 'DejaVu Sans Mono', 'Ubuntu Mono',
    'Anonymous Pro', 'Droid Sans Mono', Menlo, Monaco, Consolas, Inconsolata,
    Courier, monospace, 'PingFang SC', 'Microsoft YaHei', sans-serif;
}

.cke_editable code ol li div.hljs-ln-numbers .hljs-ln-line,
.cke_editable code ol li div.hljs-ln-code .hljs-ln-line {
  /* display: inline; */
}

.cke_editable code ol li div.hljs-ln-numbers {
  width: 24px;
  border-right: 1px solid #c5c5c5;
}

.cke_editable code ol li div.hljs-ln-numbers .hljs-ln-line {
  word-wrap: normal;
}

.cke_editable code ol.hundred li div.hljs-ln-numbers {
  width: 30px;
}

.cke_editable code ol.thousand li div.hljs-ln-numbers {
  width: 36px;
}

.cke_editable .csdn-data-video {
  width: 200px;
}

.cke_editable .csdn-data-video img {
  margin: 0;
  display: block;
  width: 200px;
  height: 112px;
}

.cke_editable .csdn-data-video p {
  margin-top: 10px;
  margin-bottom: 0;
  font-size: 14px;
}

/* 兼容微信文章代码片样式 */
.cke_editable pre[data-from='code-for-outside'] {
  overflow: hidden;
}

.cke_editable pre[data-from='code-for-outside'] code {
  overflow-x: auto;
  overflow-y: hidden;
}

.cke_editable pre[data-from='code-for-outside'] code * {
  overflow: visible;
  overflow-wrap: break-word;
}

.cke_editable pre[data-from='code-for-outside'] p code {
  padding: 0;
}
